> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: ce2e2dfc-68dc-4b90-8789-1f1b816f16c4
---

# Marketing API | Marketing Email

> Learn how to create, update, and retrieve data for your emails using the Marketing Emails v3 API.

export const ScopesList = ({scopes = [], description = "This API requires one of the following scopes:"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList
    scopes={[
  'content',
  'marketing-email',
  'transactional-email'
]}
  />
</Accordion>

You can use the Marketing Emails API to programmatically create, update, and get details about marketing emails. You can also query details about the post-send statistics of a specific email or set of emails. These statistics should match what you can access [in the app on the *Performance* page](https://knowledge.hubspot.com/marketing-email/analyze-your-marketing-email-campaign-performance) of a sent email and will be returned under the stats object in your JSON response.

The Marketing Email API cannot be used to create or retrieve data for sales emails that are created and sent via the contact record. To get details for sales emails, use the Engagements API.

<Warning>
  **Please note:**

  * To programmatically send transactional emails to contacts, use the [Single-send API](/api-reference/latest/marketing/transactional-emails/guide).
  * To use the `/publish` and `/unpublish` endpoints, you must have a ***Marketing Hub*** *Enterprise* account or the [transactional email add-on](https://www.hubspot.com/products/marketing/transactional-email).
  * Starting on January 28, 2025, as part of the Marketing Email API migration to use the `folderIdV2` field, the `folderId` field is no longer supported. Instead, you should use `folderIdV2` when fetching information about emails in folders. Learn more on the [HubSpot Developer Changelog](https://developers.hubspot.com/changelog/marketing-email-api-folder-id-migration).
</Warning>

## Create a marketing email

To create an email, make a `POST` request to `/marketing/emails/2026-03` and include the following fields in the body of your request:

```json theme={null}
// Example request body for POST request to /marketing/emails/2026-03
{
  "name": "A new marketing email",
  "subject": "Behold the latest version of our newsletter!",
  "templatePath": "@hubspot/email/dnd/welcome.html"
}
```

<Warning>
  **Please note:**

  This endpoint supports a `businessUnitId` field, which you should include in the request body if you purchased the [Brands add-on](https://knowledge.hubspot.com/branding/manage-your-brands-with-hubspot-brands). Be aware that business units is the former name for [brands](https://knowledge.hubspot.com/branding/manage-your-brands-with-hubspot-brands), but this change does <u>not</u> impact the API. The field name you specify in the request body should still be `businessUnitId`. You can get a list of brands in your account using the [brands API](/api-reference/latest/account/brands/guide).
</Warning>

## Retrieve a marketing email

You can retrieve existing emails in your account individually or in batches:

* To retrieve an individual email, make a `GET` request to `/marketing/emails/2026-03/{emailId}`
* To retrieve a list of all emails, make a `GET` request to `/marketing/emails/2026-03`, and include any filters as query parameters in your request (e.g., add `createdAfter` and a date in ISO8601 format to get all emails created after a specific date).
